--- old/usr/src/uts/sun4/ml/copy.s	Fri Feb 28 06:15:54 2020
+++ new/usr/src/uts/sun4/ml/copy.s	Fri Feb 28 06:15:54 2020
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -35,9 +33,7 @@
 #include <sys/fsr.h>
 #include <sys/privregs.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 /*
  * Error barrier:
@@ -60,15 +56,6 @@
  *	u_int maxlength, *lencopied;
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-copystr(const char *from, char *to, size_t maxlength, size_t *lencopied)
-{ return(0); }
-
-#else	/* lint */
-
 	ENTRY(copystr)
 	orcc	%o2, %g0, %o4		! save original count
 	bg,a	%ncc, 1f
@@ -113,23 +100,12 @@
 	nop
 	SET_SIZE(copystr)
 
-#endif	/* lint */
 
-
 /*
  * Copy a null terminated string from the user address space into
  * the kernel address space.
  */
-#if defined(lint)
 
-/* ARGSUSED */
-int
-copyinstr(const char *uaddr, char *kaddr, size_t maxlength,
-    size_t *lencopied)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyinstr)
 	sethi	%hi(.copyinstr_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5	! catch faults
@@ -194,18 +170,7 @@
 	retl
 	stn	%o5, [THREAD_REG + T_LOFAULT]	! stop catching faults
 	SET_SIZE(copyinstr)
-#endif
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-copyinstr_noerr(const char *uaddr, char *kaddr, size_t maxlength,
-    size_t *lencopied)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyinstr_noerr)
 	mov	%o2, %o4		! save original count
 
@@ -247,23 +212,11 @@
 	nop
 	SET_SIZE(copyinstr_noerr)
 
-#endif	/* lint */
-
 /*
  * Copy a null terminated string from the kernel
  * address space to the user address space.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-copyoutstr(const char *kaddr, char *uaddr, size_t maxlength,
-    size_t *lencopied)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyoutstr)
 	sethi	%hi(.copyoutstr_err), %o5
 	ldn	[THREAD_REG + T_LOFAULT], %o4	! catch faults
@@ -330,18 +283,6 @@
 	stn	%o5, [THREAD_REG + T_LOFAULT]	! stop catching faults
 	SET_SIZE(copyoutstr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-int
-copyoutstr_noerr(const char *kaddr, char *uaddr, size_t maxlength,
-    size_t *lencopied)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyoutstr_noerr)
 	mov	%o2, %o4		! save original count
 
@@ -382,9 +323,7 @@
 	nop
 	SET_SIZE(copyoutstr_noerr)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage.  If the source and target regions overlap,
  * one or both of the regions will be silently corrupted.
@@ -391,15 +330,6 @@
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
- 
-/* ARGSUSED */
-void
-ucopy(const void *ufrom, void *uto, size_t ulength)
-{}
- 
-#else /* lint */
- 
 	ENTRY(ucopy)
 	save	%sp, -SA(MINFRAME), %sp ! get another window
 
@@ -417,7 +347,6 @@
 	restore %g0, 0, %o0		! return (0)
 
 	SET_SIZE(ucopy)
-#endif /* lint */
 
 /*
  * Copy a user-land string.  If the source and target regions overlap,
@@ -425,15 +354,6 @@
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
- 
-/* ARGSUSED */
-void
-ucopystr(const char *ufrom, char *uto, size_t umaxlength, size_t *ulencopied)
-{}
- 
-#else /* lint */
- 
 	ENTRY(ucopystr)
 	save	%sp, -SA(MINFRAME), %sp ! get another window
 
@@ -455,4 +375,3 @@
 	restore %g0, 0, %o0		! return (0)
 
 	SET_SIZE(ucopystr)
-#endif /* lint */
